Erforderlicher Scope: vps:provision
Pfad-Parameter
| Parameter |
Typ |
Beschreibung |
id |
string |
Die VPS-ID |
Header
| Header |
Erforderlich |
Wert |
Authorization |
Ja |
Bearer DEIN_API_SCHLÜSSEL |
Content-Type |
Ja |
application/json |
Anfragekörper
| Parameter |
Erforderlich |
Beschreibung |
confirm |
Ja |
Muss true sein, um die destruktive Operation zu bestätigen |
Antwort
{
"data": {
"id": "507f1f77bcf86cd799439011",
"name": "Produktions-Server",
"deleted": true
}
}
Antwortfelder
| Feld |
Typ |
Beschreibung |
id |
string |
Die VPS-ID |
name |
string |
Der VPS-Anzeigename |
deleted |
boolean |
Immer true nach erfolgreicher Löschung |
Fehlerantworten
| Status |
Code |
Beschreibung |
| 400 |
CONFIRMATION_REQUIRED |
Das Feld confirm muss true sein |
| 403 |
INSUFFICIENT_SCOPE |
API-Schlüssel hat nicht den erforderlichen vps:provision-Scope |
| 404 |
NOT_FOUND |
VPS nicht gefunden oder kein Eigentümerzugriff |
| 502 |
PROVIDER_ERROR |
VPS konnte beim Provider nicht gelöscht werden |
Beispiel
curl -X DELETE https://hosting.site.quest/api/v1/vps/507f1f77bcf86cd799439011 \
-H "Authorization: Bearer sq_live_a94ecfca096d..." \
-H "Content-Type: application/json" \
-d '{"confirm": true}'
MCP
Diese Aktion ist auch über das delete_vm MCP-Tool verfügbar.